]> andersk Git - moira.git/blame - util/et/configure
Set creation time and creator information for new users.
[moira.git] / util / et / configure
CommitLineData
a91a6d50 1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169EOF
170 cat << EOF
171Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392done
393
394if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409 exec 6>/dev/null
410else
411 exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=com_err.c
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466else
467 ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491done
492
493if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496else
497 echo "creating cache $cache_file"
498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516else
517 ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522# Extract the first word of "gcc", so it can be a program name with args.
523set dummy gcc; ac_word=$2
524echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525echo "configure:526: checking for $ac_word" >&5
526if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541fi
542fi
543CC="$ac_cv_prog_CC"
544if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546else
547 echo "$ac_t""no" 1>&6
548fi
549
550if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552set dummy cc; ac_word=$2
553echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554echo "configure:555: checking for $ac_word" >&5
555if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588fi
589fi
590fi
591CC="$ac_cv_prog_CC"
592if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594else
595 echo "$ac_t""no" 1>&6
596fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599fi
600
601echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604ac_ext=c
605# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606ac_cpp='$CPP $CPPFLAGS'
607ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609cross_compiling=$ac_cv_prog_cc_cross
610
611cat > conftest.$ac_ext <<EOF
612#line 613 "configure"
613#include "confdefs.h"
614main(){return(0);}
615EOF
616if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628fi
629rm -fr conftest*
630
631echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634fi
635echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638cross_compiling=$ac_cv_prog_cc_cross
639
640echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641echo "configure:642: checking whether we are using GNU C" >&5
642if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644else
645 cat > conftest.c <<EOF
646#ifdef __GNUC__
647 yes;
648#endif
649EOF
650if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652else
653 ac_cv_prog_gcc=no
654fi
655fi
656
657echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668else
669 echo 'void f(){}' > conftest.c
670if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672else
673 ac_cv_prog_cc_g=no
674fi
675rm -f conftest*
676
677fi
678
679echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690fi
691
692for ac_prog in 'bison -y' byacc
693do
694# Extract the first word of "$ac_prog", so it can be a program name with args.
695set dummy $ac_prog; ac_word=$2
696echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
697echo "configure:698: checking for $ac_word" >&5
698if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
699 echo $ac_n "(cached) $ac_c" 1>&6
700else
701 if test -n "$YACC"; then
702 ac_cv_prog_YACC="$YACC" # Let the user override the test.
703else
704 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
705 for ac_dir in $PATH; do
706 test -z "$ac_dir" && ac_dir=.
707 if test -f $ac_dir/$ac_word; then
708 ac_cv_prog_YACC="$ac_prog"
709 break
710 fi
711 done
712 IFS="$ac_save_ifs"
713fi
714fi
715YACC="$ac_cv_prog_YACC"
716if test -n "$YACC"; then
717 echo "$ac_t""$YACC" 1>&6
718else
719 echo "$ac_t""no" 1>&6
720fi
721
722test -n "$YACC" && break
723done
724test -n "$YACC" || YACC="yacc"
725
726# Extract the first word of "flex", so it can be a program name with args.
727set dummy flex; ac_word=$2
728echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
729echo "configure:730: checking for $ac_word" >&5
730if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
731 echo $ac_n "(cached) $ac_c" 1>&6
732else
733 if test -n "$LEX"; then
734 ac_cv_prog_LEX="$LEX" # Let the user override the test.
735else
736 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
737 for ac_dir in $PATH; do
738 test -z "$ac_dir" && ac_dir=.
739 if test -f $ac_dir/$ac_word; then
740 ac_cv_prog_LEX="flex"
741 break
742 fi
743 done
744 IFS="$ac_save_ifs"
745 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
746fi
747fi
748LEX="$ac_cv_prog_LEX"
749if test -n "$LEX"; then
750 echo "$ac_t""$LEX" 1>&6
751else
752 echo "$ac_t""no" 1>&6
753fi
754
755if test -z "$LEXLIB"
756then
757 case "$LEX" in
758 flex*) ac_lib=fl ;;
759 *) ac_lib=l ;;
760 esac
761 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
762echo "configure:763: checking for yywrap in -l$ac_lib" >&5
763ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
764if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
765 echo $ac_n "(cached) $ac_c" 1>&6
766else
767 ac_save_LIBS="$LIBS"
768LIBS="-l$ac_lib $LIBS"
769cat > conftest.$ac_ext <<EOF
770#line 771 "configure"
771#include "confdefs.h"
772/* Override any gcc2 internal prototype to avoid an error. */
773/* We use char because int might match the return type of a gcc2
774 builtin and then its argument prototype would still apply. */
775char yywrap();
776
777int main() {
778yywrap()
779; return 0; }
780EOF
781if { (eval echo configure:782: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
782 rm -rf conftest*
783 eval "ac_cv_lib_$ac_lib_var=yes"
784else
785 echo "configure: failed program was:" >&5
786 cat conftest.$ac_ext >&5
787 rm -rf conftest*
788 eval "ac_cv_lib_$ac_lib_var=no"
789fi
790rm -f conftest*
791LIBS="$ac_save_LIBS"
792
793fi
794if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
795 echo "$ac_t""yes" 1>&6
796 LEXLIB="-l$ac_lib"
797else
798 echo "$ac_t""no" 1>&6
799fi
800
801fi
802
803# Extract the first word of "ranlib", so it can be a program name with args.
804set dummy ranlib; ac_word=$2
805echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
806echo "configure:807: checking for $ac_word" >&5
807if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
808 echo $ac_n "(cached) $ac_c" 1>&6
809else
810 if test -n "$RANLIB"; then
811 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
812else
813 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
814 for ac_dir in $PATH; do
815 test -z "$ac_dir" && ac_dir=.
816 if test -f $ac_dir/$ac_word; then
817 ac_cv_prog_RANLIB="ranlib"
818 break
819 fi
820 done
821 IFS="$ac_save_ifs"
822 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
823fi
824fi
825RANLIB="$ac_cv_prog_RANLIB"
826if test -n "$RANLIB"; then
827 echo "$ac_t""$RANLIB" 1>&6
828else
829 echo "$ac_t""no" 1>&6
830fi
831
832
833trap '' 1 2 15
834cat > confcache <<\EOF
835# This file is a shell script that caches the results of configure
836# tests run on this system so they can be shared between configure
837# scripts and configure runs. It is not useful on other systems.
838# If it contains results you don't want to keep, you may remove or edit it.
839#
840# By default, configure uses ./config.cache as the cache file,
841# creating it if it does not exist already. You can give configure
842# the --cache-file=FILE option to use a different cache file; that is
843# what configure does when it calls configure scripts in
844# subdirectories, so they share the cache.
845# Giving --cache-file=/dev/null disables caching, for debugging configure.
846# config.status only pays attention to the cache file if you give it the
847# --recheck option to rerun configure.
848#
849EOF
850# The following way of writing the cache mishandles newlines in values,
851# but we know of no workaround that is simple, portable, and efficient.
852# So, don't put newlines in cache variables' values.
853# Ultrix sh set writes to stderr and can't be redirected directly,
854# and sets the high bit in the cache file unless we assign to the vars.
855(set) 2>&1 |
856 case `(ac_space=' '; set) 2>&1` in
857 *ac_space=\ *)
858 # `set' does not quote correctly, so add quotes (double-quote substitution
859 # turns \\\\ into \\, and sed turns \\ into \).
860 sed -n \
861 -e "s/'/'\\\\''/g" \
862 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
863 ;;
864 *)
865 # `set' quotes correctly as required by POSIX, so do not add quotes.
866 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
867 ;;
868 esac >> confcache
869if cmp -s $cache_file confcache; then
870 :
871else
872 if test -w $cache_file; then
873 echo "updating cache $cache_file"
874 cat confcache > $cache_file
875 else
876 echo "not updating unwritable cache $cache_file"
877 fi
878fi
879rm -f confcache
880
881trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
882
883test "x$prefix" = xNONE && prefix=$ac_default_prefix
884# Let make expand exec_prefix.
885test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
886
887# Any assignment to VPATH causes Sun make to only execute
888# the first set of double-colon rules, so remove it if not needed.
889# If there is a colon in the path, we need to keep it.
890if test "x$srcdir" = x.; then
891 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
892fi
893
894trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
895
896# Transform confdefs.h into DEFS.
897# Protect against shell expansion while executing Makefile rules.
898# Protect against Makefile macro expansion.
899cat > conftest.defs <<\EOF
900s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
901s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
902s%\[%\\&%g
903s%\]%\\&%g
904s%\$%$$%g
905EOF
906DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
907rm -f conftest.defs
908
909
910# Without the "./", some shells look in PATH for config.status.
911: ${CONFIG_STATUS=./config.status}
912
913echo creating $CONFIG_STATUS
914rm -f $CONFIG_STATUS
915cat > $CONFIG_STATUS <<EOF
916#! /bin/sh
917# Generated automatically by configure.
918# Run this file to recreate the current configuration.
919# This directory was configured as follows,
920# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
921#
922# $0 $ac_configure_args
923#
924# Compiler output produced by configure, useful for debugging
925# configure, is in ./config.log if it exists.
926
927ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
928for ac_option
929do
930 case "\$ac_option" in
931 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
932 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
933 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
934 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
935 echo "$CONFIG_STATUS generated by autoconf version 2.12"
936 exit 0 ;;
937 -help | --help | --hel | --he | --h)
938 echo "\$ac_cs_usage"; exit 0 ;;
939 *) echo "\$ac_cs_usage"; exit 1 ;;
940 esac
941done
942
943ac_given_srcdir=$srcdir
944
945trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
946EOF
947cat >> $CONFIG_STATUS <<EOF
948
949# Protect against being on the right side of a sed subst in config.status.
950sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
951 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
952$ac_vpsub
953$extrasub
954s%@CFLAGS@%$CFLAGS%g
955s%@CPPFLAGS@%$CPPFLAGS%g
956s%@CXXFLAGS@%$CXXFLAGS%g
957s%@DEFS@%$DEFS%g
958s%@LDFLAGS@%$LDFLAGS%g
959s%@LIBS@%$LIBS%g
960s%@exec_prefix@%$exec_prefix%g
961s%@prefix@%$prefix%g
962s%@program_transform_name@%$program_transform_name%g
963s%@bindir@%$bindir%g
964s%@sbindir@%$sbindir%g
965s%@libexecdir@%$libexecdir%g
966s%@datadir@%$datadir%g
967s%@sysconfdir@%$sysconfdir%g
968s%@sharedstatedir@%$sharedstatedir%g
969s%@localstatedir@%$localstatedir%g
970s%@libdir@%$libdir%g
971s%@includedir@%$includedir%g
972s%@oldincludedir@%$oldincludedir%g
973s%@infodir@%$infodir%g
974s%@mandir@%$mandir%g
975s%@CC@%$CC%g
976s%@YACC@%$YACC%g
977s%@LEX@%$LEX%g
978s%@LEXLIB@%$LEXLIB%g
979s%@RANLIB@%$RANLIB%g
980
981CEOF
982EOF
983
984cat >> $CONFIG_STATUS <<\EOF
985
986# Split the substitutions into bite-sized pieces for seds with
987# small command number limits, like on Digital OSF/1 and HP-UX.
988ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
989ac_file=1 # Number of current file.
990ac_beg=1 # First line for current file.
991ac_end=$ac_max_sed_cmds # Line after last line for current file.
992ac_more_lines=:
993ac_sed_cmds=""
994while $ac_more_lines; do
995 if test $ac_beg -gt 1; then
996 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
997 else
998 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
999 fi
1000 if test ! -s conftest.s$ac_file; then
1001 ac_more_lines=false
1002 rm -f conftest.s$ac_file
1003 else
1004 if test -z "$ac_sed_cmds"; then
1005 ac_sed_cmds="sed -f conftest.s$ac_file"
1006 else
1007 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1008 fi
1009 ac_file=`expr $ac_file + 1`
1010 ac_beg=$ac_end
1011 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1012 fi
1013done
1014if test -z "$ac_sed_cmds"; then
1015 ac_sed_cmds=cat
1016fi
1017EOF
1018
1019cat >> $CONFIG_STATUS <<EOF
1020
1021CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1022EOF
1023cat >> $CONFIG_STATUS <<\EOF
1024for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1025 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1026 case "$ac_file" in
1027 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1028 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1029 *) ac_file_in="${ac_file}.in" ;;
1030 esac
1031
1032 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1033
1034 # Remove last slash and all that follows it. Not all systems have dirname.
1035 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1036 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1037 # The file is in a subdirectory.
1038 test ! -d "$ac_dir" && mkdir "$ac_dir"
1039 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1040 # A "../" for each directory in $ac_dir_suffix.
1041 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1042 else
1043 ac_dir_suffix= ac_dots=
1044 fi
1045
1046 case "$ac_given_srcdir" in
1047 .) srcdir=.
1048 if test -z "$ac_dots"; then top_srcdir=.
1049 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1050 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1051 *) # Relative path.
1052 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1053 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1054 esac
1055
1056
1057 echo creating "$ac_file"
1058 rm -f "$ac_file"
1059 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1060 case "$ac_file" in
1061 *Makefile*) ac_comsub="1i\\
1062# $configure_input" ;;
1063 *) ac_comsub= ;;
1064 esac
1065
1066 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1067 sed -e "$ac_comsub
1068s%@configure_input@%$configure_input%g
1069s%@srcdir@%$srcdir%g
1070s%@top_srcdir@%$top_srcdir%g
1071" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1072fi; done
1073rm -f conftest.s*
1074
1075EOF
1076cat >> $CONFIG_STATUS <<EOF
1077
1078EOF
1079cat >> $CONFIG_STATUS <<\EOF
1080
1081exit 0
1082EOF
1083chmod +x $CONFIG_STATUS
1084rm -fr confdefs* $ac_clean_files
1085test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1086
This page took 0.210011 seconds and 5 git commands to generate.